Bug 217392 - sysutils/py-diffoscope: update to version 78
Summary: sysutils/py-diffoscope: update to version 78
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ed Maste
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-27 13:11 UTC by Ed Maste
Modified: 2017-10-21 00:31 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (koobs)


Attachments
diffoscope 78 update (804 bytes, patch)
2017-02-27 13:11 UTC, Ed Maste
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2017-02-27 13:11:45 UTC
Created attachment 180337 [details]
diffoscope 78 update

Attached patch updates to v78. It contains the following changes from v77:

    [ Brett Smith ]
   * comparators.json:
     + Catch bad JSON errors on Python pre-3.5.  Closes: #855233
 .
   [ Chris Lamb ]
   * tests:
     + Move normalize_zeros to more generic `utils.data` module.
     + Fix tests that call xxd fail on jessie due to output change.
       Closes: #855239
 .
   [ Ed Maste ]
   * comparators.directory:
     + Assume BSD-style stat(1) on FreeBSD.  Closes: #855169
Comment 1 commit-hook freebsd_committer 2017-03-01 23:16:41 UTC
A commit references this bug:

Author: emaste
Date: Wed Mar  1 23:16:17 UTC 2017
New revision: 435204
URL: https://svnweb.freebsd.org/changeset/ports/435204

Log:
  sysutils/py-diffoscope: update to version 78

    [ Brett Smith ]
    * comparators.json:
      + Catch bad JSON errors on Python pre-3.5.  Closes: #855233
  .
    [ Chris Lamb ]
    * tests:
      + Move normalize_zeros to more generic `utils.data` module.
      + Fix tests that call xxd fail on jessie due to output change.
        Closes: #855239
  .
    [ Ed Maste ]
    * comparators.directory:
      + Assume BSD-style stat(1) on FreeBSD.  Closes: #855169

  PR:		217392
  Approved by:	koobs
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/sysutils/py-diffoscope/Makefile
  head/sysutils/py-diffoscope/distinfo